aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMiloslav Trmac <mitr@volny.cz>2006-03-27 22:34:21 +0000
committerMiloslav Trmac <mitr@volny.cz>2006-03-27 22:34:21 +0000
commitb97e50cf7616276703e6c06d1aa0787d77dc3214 (patch)
treef7c3f061e91d122360b21bcc210b8a4b793bb5d3
parenteb3d6ab2aa6847ba10cc3086c36d1c3788945151 (diff)
downloadinitscripts-b97e50cf7616276703e6c06d1aa0787d77dc3214.tar
initscripts-b97e50cf7616276703e6c06d1aa0787d77dc3214.tar.gz
initscripts-b97e50cf7616276703e6c06d1aa0787d77dc3214.tar.bz2
initscripts-b97e50cf7616276703e6c06d1aa0787d77dc3214.tar.xz
initscripts-b97e50cf7616276703e6c06d1aa0787d77dc3214.zip
(failure, passed, warning, action): Make variables local, fixes running
quotacheck after fsck has repaired something (#168118).
-rwxr-xr-xrc.d/init.d/functions8
1 files changed, 5 insertions, 3 deletions
diff --git a/rc.d/init.d/functions b/rc.d/init.d/functions
index ca29b07b..74fd3d05 100755
--- a/rc.d/init.d/functions
+++ b/rc.d/init.d/functions
@@ -402,7 +402,7 @@ success() {
# Log that something failed
failure() {
- rc=$?
+ local rc=$?
#if [ -z "${IN_INITLOG:-}" ]; then
# initlog $INITLOG_ARGS -n $0 -s "$1" -e 2
#fi
@@ -414,7 +414,7 @@ failure() {
# Log that something passed, but may have had errors. Useful for fsck
passed() {
- rc=$?
+ local rc=$?
#if [ -z "${IN_INITLOG:-}" ]; then
# initlog $INITLOG_ARGS -n $0 -s "$1" -e 1
#fi
@@ -424,7 +424,7 @@ passed() {
# Log a warning
warning() {
- rc=$?
+ local rc=$?
#if [ -z "${IN_INITLOG:-}" ]; then
# initlog $INITLOG_ARGS -n $0 -s "$1" -e 1
#fi
@@ -434,6 +434,8 @@ warning() {
# Run some action. Log its output.
action() {
+ local STRING rc
+
STRING=$1
echo -n "$STRING "
if [ "${RHGB_STARTED:-}" != "" -a -w /etc/rhgb/temp/rhgb-console ]; then